﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataTreeEditModeCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void AddNodeBtn_Click(object sender, RoutedEventArgs e)
        {
            if (theTree.ActiveDataItem is SampleData)
            {
                SampleData SD = theTree.ActiveDataItem as SampleData;
                theTree.ActiveNode.IsExpanded = true;
                SD.Children.Add(new ChildData()
                {
                    ChildID = SD.Children.Count,
                    ChildLabel = "Child Label " + SD.Children.Count.ToString()
                });
            }
        }
    }
}
